Intro:
	res plotloc,(iy+plotflags)
	ld a,8
	ld (Intro_Progress),a
IntroLoop:
	call SetFlame
	call ModClear
	bcall(_grbufclr)

	ld hl,Army_Men_Text
	ld de,PlotsScreen+(12*10)
	ld bc,120
	ldir

	;Now, clear backwards:
	ld a,(Intro_Progress)
	add a,8
	sra a
	sra a
	sra a
	ld b,a
	ld a,12
	sub b
	ld (A_Temp),a
Clear_Col_Loop:
	call Clear_Column
	
	ld a,(A_Temp)
	dec a
	ld (A_Temp),a
	
	cp 255
	jr nz,Clear_Col_Loop
	
	call DrawMan
	

	call SetFlamePos
	ld ix,SavesScreen+32
	call Put_Masked_16_Sprite
	call SetFlamePos
	ld ix,SavesScreen
	call PutTile
	

	call ModCopy

	bcall(_getcsc)
	or a
	jp nz,Intro_Done

	ld a,(Intro_Progress)
	inc a
	ld (Intro_Progress),a
	cp 96-16
	jr nz,IntroLoop
	jp Intro_Done

Clear_Column:
	ld b,a
	ld a,11
	sub b
	inc a
	ld hl,PlotsScreen
	ld e,a
	ld d,0
	add hl,de
	ld de,12

	ld bc,32	
ClearLoop:
	xor a
	ld (hl),a
	add hl,de
	dec bc
	ld a,b
	or c
	jr nz,ClearLoop
	ret

DrawMan:
	ld hl,PlotsScreen
	ld de,LargeBuffer
	ld bc,768/2
	ldir

	call SetFlamePos
	ld a,2
	ld ix,GreenRightFlameThrower+32
	call Put_Masked_16_Sprite
	call SetFlamePos
	ld a,2
	ld ix,GreenRightFlameThrower
	call PutTile
	ret

SetFlame:

	ld a,(Flame_No)
	xor 1
	ld (Flame_No),a
	sla a
	sla a
	sla a
	sla a
	sla a
	sla a
	ld e,a
	ld d,0
	ld hl,FlameThrowerFireRight1
	add hl,de
	ld de,SavesScreen
	ld bc,32*2
	ldir
	ret

Army_Men_Text:
 .db $00,$00,$E1,$FC,$3C,$3F,$EE,$0F,$0F,$7F,$9E,$38
 .db $00,$01,$E0,$EE,$1C,$39,$C4,$07,$0E,$38,$8F,$10
 .db $00,$01,$E0,$E7,$1E,$79,$EC,$07,$9E,$38,$0F,$90
 .db $00,$03,$70,$E7,$1E,$78,$E8,$07,$9E,$38,$8F,$D0
 .db $00,$02,$70,$E7,$17,$B8,$F8,$05,$EE,$3F,$8B,$D0
 .db $00,$02,$70,$EE,$37,$B8,$70,$0D,$EE,$38,$89,$F0
 .db $00,$07,$F8,$FC,$37,$B8,$70,$0D,$EE,$38,$08,$F0
 .db $00,$04,$38,$EE,$33,$38,$20,$0C,$CE,$38,$08,$F0
 .db $00,$04,$38,$E6,$33,$38,$74,$0C,$CE,$38,$88,$70
 .db $00,$0E,$7D,$F7,$33,$7C,$98,$0C,$DF,$7F,$9C,$30

Intro_Progress:	.db 0
Flame_No:	.db 0

SetFlamePos:
	ld b,16
	ld c,2
	ld l,5
	ld a,(Intro_Progress)
	ret

Intro_Done:
	call ModClear
	bcall(_grbufclr)

	ld hl,Army_Men_Text
	ld de,PlotsScreen+(12*10)
	ld bc,120
	ldir

	call DrawMan
	call ModCopy