Put_Masked_16_Sprite:
	call L_spr_or
	ret

ModClear:
	ld hl,LargeBuffer
	ld bc,960
	xor a
	bcall(_memset)
	ret

;-----> Draw a picture
;Input:	ix->sprite
;	a=x
;	l=y
;	b=height	(in pixels)
;	c=width		(in bytes, e.g. 2 would be 16)
;Output: nothing
; All registers are destroyed except bc', de', hl'
L_spr_or:
	di
	ex	af,af'
	ld	a,c
	push	af
	ex	af,af'
	ld	e,l
	ld	h,$00
	ld	d,h
	add	hl,de
	add	hl,de
	add	hl,hl
	add	hl,hl
	ld	e,a
	and	$07
	ld	c,a
	srl	e
	srl	e
	srl	e
	add	hl,de
	ld	de,LargeBuffer
	add	hl,de
ClargeSpriteLoop1:
	push	hl
ClargeSpriteLoop2:
	ld	d,(ix)
	ld	e,$00
	ld	a,c
	or	a
	jr	z,ClargeSpriteSkip1
ClargeSpriteLoop3:
	srl	d
	rr	e
	dec	a
	jr	nz,ClargeSpriteLoop3
ClargeSpriteSkip1:
	ld	a,(hl)
	or	d
	ld	(hl),a
	inc	hl
	ld	a,(hl)
	or	e
	ld	(hl),a
	inc	ix
	ex	af,af'
	dec	a
	push	af
	ex	af,af'
	pop	af
	jr	nz,ClargeSpriteLoop2
	pop	hl
	pop	af
	push	af
	ex	af,af'
	ld	de,$0C
	add	hl,de
	djnz	ClargeSpriteLoop1
	pop	af
	ret


